Skip to main content
GET
/
cases
/
stats
Error
A valid request URL is required to generate request examples
{
  "total": 123,
  "open": 123,
  "closed": 123,
  "enforced": 123,
  "unique_users_with_cases": 123,
  "by_state": {
    "discover": 123,
    "pending_investigation": 123,
    "investigating": 123,
    "enforced": 123,
    "closed": 123
  },
  "by_threat_type": {
    "data_exfiltration": 123,
    "insider_threat": 123,
    "privilege_escalation": 123,
    "policy_violation": 123,
    "account_compromise": 123,
    "sabotage": 123,
    "financial_fraud": 123
  },
  "over_time": [
    {
      "date": "2023-12-25",
      "count": 123
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Domain-scoped API key. Generate and manage keys from the API Keys page in Settings. Pass via the X-API-Key header.

Query Parameters

breakdown
enum<string>[]

Breakdowns to include: by_state, by_threat_type, over_time

Available options:
by_state,
by_threat_type,
over_time
days
integer
default:30

Time window for the over_time breakdown

Required range: x <= 365

Response

Case statistics

total
integer
open
integer
closed
integer
enforced
integer
unique_users_with_cases
integer
by_state
object

Present when breakdown=by_state is requested

by_threat_type
object

Present when breakdown=by_threat_type is requested

over_time
object[] | null

Present when breakdown=over_time is requested